curl -X POST "https://server.smartlead.ai/api/verify-email/list?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"emailList": [
"john.doe@example.com",
"jane.smith@company.org",
"sales@business.net"
]
}'
{
"success": true,
"data": [
{
"email": "john.doe@example.com",
"status": "valid",
"reason": "Email is syntactically correct with valid domain",
"is_disposable": false,
"is_role_account": false,
"mx_found": true
},
{
"email": "jane.smith@company.org",
"status": "valid",
"reason": "Email verified with SMTP check",
"is_disposable": false,
"is_role_account": false,
"mx_found": true
},
{
"email": "sales@business.net",
"status": "risky",
"reason": "Email address does not accept external connections",
"is_disposable": false,
"is_role_account": true,
"mx_found": true
}
]
}
Validate email deliverability with syntax, domain, SMTP, and quality checks
curl -X POST "https://server.smartlead.ai/api/verify-email/list?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"emailList": [
"john.doe@example.com",
"jane.smith@company.org",
"sales@business.net"
]
}'
{
"success": true,
"data": [
{
"email": "john.doe@example.com",
"status": "valid",
"reason": "Email is syntactically correct with valid domain",
"is_disposable": false,
"is_role_account": false,
"mx_found": true
},
{
"email": "jane.smith@company.org",
"status": "valid",
"reason": "Email verified with SMTP check",
"is_disposable": false,
"is_role_account": false,
"mx_found": true
},
{
"email": "sales@business.net",
"status": "risky",
"reason": "Email address does not accept external connections",
"is_disposable": false,
"is_role_account": true,
"mx_found": true
}
]
}
curl -X POST "https://server.smartlead.ai/api/verify-email/list?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"emailList": [
"john.doe@example.com",
"jane.smith@company.org",
"sales@business.net"
]
}'
{
"success": true,
"data": [
{
"email": "john.doe@example.com",
"status": "valid",
"reason": "Email is syntactically correct with valid domain",
"is_disposable": false,
"is_role_account": false,
"mx_found": true
},
{
"email": "jane.smith@company.org",
"status": "valid",
"reason": "Email verified with SMTP check",
"is_disposable": false,
"is_role_account": false,
"mx_found": true
},
{
"email": "sales@business.net",
"status": "risky",
"reason": "Email address does not accept external connections",
"is_disposable": false,
"is_role_account": true,
"mx_found": true
}
]
}